Skip to main content

Lookup

Lookup phone number

GET /lookup/phone/{number}

Lookup line type and carrier

Parameters

NameInTypeRequiredDescription
numberpathstringtrueURL-encoded phone number in international format (e.g. +441234567890)
x-api-keyheaderstringfalseAPI Authentication Key

Example responses

Phone validation results object

{
"countryCode": "US",
"phoneNumber": "+1234567890",
"nationalFormat": "(123) 456-7890",
"carrier": {
"name": "Verizon",
"type": "mobile"
}
}

An error message

{
"countryCode": "US",
"phoneNumber": "+1234567890",
"nationalFormat": "(123) 456-7890",
"carrier": {
"name": "Verizon",
"type": "mobile"
}
}

Responses

StatusMeaningDescriptionSchema
200OKPhone validation results objectLookupPhoneResponse
500Internal Server ErrorAn error messageLookupPhoneResponse

Code samples

"""
Python Code Snippet
"""
import requests

headers = {
'Accept': 'application/json',
'x-api-key': 'string'
}

r = requests.get('https://data.autohost.ai/v1/lookup/phone/{number}', headers=headers)

print(r.json())

/*
TypeScript Code Snippet
*/

import fetch from 'node-fetch';

const headers = {
'Accept':'application/json',
'x-api-key':'string'
};

const response = await fetch('https://data.autohost.ai/v1/lookup/phone/{number}', {
method: 'get',

headers,
});
const responseJson = await response.json();
console.log(responseJson);

Lookup social accounts

POST /lookup/social

Lookup social accounts by email and phone number to Check users are not using fake profiles by validating they have online social accounts

Parameters

NameInTypeRequiredDescription
x-api-keyheaderstringfalseAPI Authentication Key
bodybodyLookupSocialRequestfalseTransaction details object

Body parameter

{
"email": "user@example.com",
"phoneNumber": "string"
}

Example responses

200 Response

{
"phoneNumber": {
"accountDetails": {
"facebook": {
"registered": true
},
"google": {
"registered": true
}
}
},
"email": {}
}

Responses

StatusMeaningDescriptionSchema
200OKPhone validation results objectLookupSocialResponse
500Internal Server ErrorAn error messageLookupSocialResponse

Code samples

"""
Python Code Snippet
"""
import requests

input_body = {
"email": "user@example.com",
"phoneNumber": "string"
}

headers = {
'Content-Type': 'application/json',
'Accept': 'application/json',
'x-api-key': 'string'
}

r = requests.post('https://data.autohost.ai/v1/lookup/social', json=input_body, headers=headers)

print(r.json())

/*
TypeScript Code Snippet
*/

import fetch from 'node-fetch';
const inputBody = {
"email": "user@example.com",
"phoneNumber": "string"
};
const headers = {
'Content-Type':'application/json',
'Accept':'application/json',
'x-api-key':'string'
};

const response = await fetch('https://data.autohost.ai/v1/lookup/social', {
method: 'post',
body: JSON.stringify(inputBody),
headers,
});
const responseJson = await response.json();
console.log(responseJson);

Lookup breaches by email

GET /lookup/breaches/{email}

Discover how many times a user has been compromised

Parameters

NameInTypeRequiredDescription
emailpathstringtrueURL encoded email address
x-api-keyheaderstringfalseAPI Authentication Key

Example responses

200 Response

[
{
"Name": "string",
"Domain": "string",
"BreachDate": "string"
}
]

Responses

StatusMeaningDescriptionSchema
200OKBreaches results objectLookupBreachesResponse
500Internal Server ErrorAn error messageLookupBreachesResponse

Code samples

"""
Python Code Snippet
"""
import requests

headers = {
'Accept': 'application/json',
'x-api-key': 'string'
}

r = requests.get('https://data.autohost.ai/v1/lookup/breaches/{email}', headers=headers)

print(r.json())

/*
TypeScript Code Snippet
*/

import fetch from 'node-fetch';

const headers = {
'Accept':'application/json',
'x-api-key':'string'
};

const response = await fetch('https://data.autohost.ai/v1/lookup/breaches/{email}', {
method: 'get',

headers,
});
const responseJson = await response.json();
console.log(responseJson);

Lookup whois records by domain

GET /lookup/whois/{domain}

Discover who owns a domain

Parameters

NameInTypeRequiredDescription
domainpathstringtruedomain name (e.g. google.com)
x-api-keyheaderstringfalseAPI Authentication Key

Example responses

200 Response

[
{
"server": "string",
"data": {
"domainName": "string",
"registrar": "string",
"creationDate": "string",
"expirationDate": "string"
}
}
]

Responses

StatusMeaningDescriptionSchema
200OKWhois results objectLookupWhoisResponse
500Internal Server ErrorAn error messageLookupWhoisResponse

Code samples

"""
Python Code Snippet
"""
import requests

headers = {
'Accept': 'application/json',
'x-api-key': 'string'
}

r = requests.get('https://data.autohost.ai/v1/lookup/whois/{domain}', headers=headers)

print(r.json())

/*
TypeScript Code Snippet
*/

import fetch from 'node-fetch';

const headers = {
'Accept':'application/json',
'x-api-key':'string'
};

const response = await fetch('https://data.autohost.ai/v1/lookup/whois/{domain}', {
method: 'get',

headers,
});
const responseJson = await response.json();
console.log(responseJson);

Lookup company details by domain

GET /lookup/domain/{domain}

Find company details by domain

Parameters

NameInTypeRequiredDescription
domainpathstringtruedomain name (e.g. oracle.com)
x-api-keyheaderstringfalseAPI Authentication Key

Example responses

Lookup results object

[
{
"name": "Google",
"country": "US",
"industry": "Internet",
"size": "1000+ employees",
"linkedin_url": "https://www.linkedin.com/company/google",
"founded": "1998"
}
]

An error message

[
{
"name": "Google",
"country": "US",
"industry": "Internet",
"size": "1000+ employees",
"linkedin_url": "https://www.linkedin.com/company/google",
"founded": "1998"
}
]

Responses

StatusMeaningDescriptionSchema
200OKLookup results objectLookupDomainCompanyResponse
500Internal Server ErrorAn error messageLookupDomainCompanyResponse

Code samples

"""
Python Code Snippet
"""
import requests

headers = {
'Accept': 'application/json',
'x-api-key': 'string'
}

r = requests.get('https://data.autohost.ai/v1/lookup/domain/{domain}', headers=headers)

print(r.json())

/*
TypeScript Code Snippet
*/

import fetch from 'node-fetch';

const headers = {
'Accept':'application/json',
'x-api-key':'string'
};

const response = await fetch('https://data.autohost.ai/v1/lookup/domain/{domain}', {
method: 'get',

headers,
});
const responseJson = await response.json();
console.log(responseJson);

Lookup geo-location by IP

GET /lookup/geoip/{ip}

Find location details by IP address

Parameters

NameInTypeRequiredDescription
ippathstringtrueIP Address
x-api-keyheaderstringfalseAPI Authentication Key

Example responses

Lookup results object

{
"country_code": "US",
"country_name": "United States",
"city": "Mountain View",
"postal_code": "94043",
"time_zone_name": "America/Los_Angeles",
"latitude": 37.4192,
"longitude": -122.0574
}

An error message

{
"country_code": "US",
"country_name": "United States",
"city": "Mountain View",
"postal_code": "94043",
"time_zone_name": "America/Los_Angeles",
"latitude": 37.4192,
"longitude": -122.0574
}

Responses

StatusMeaningDescriptionSchema
200OKLookup results objectLookupGeoipResponse
500Internal Server ErrorAn error messageLookupGeoipResponse

Code samples

"""
Python Code Snippet
"""
import requests

headers = {
'Accept': 'application/json',
'x-api-key': 'string'
}

r = requests.get('https://data.autohost.ai/v1/lookup/geoip/{ip}', headers=headers)

print(r.json())

/*
TypeScript Code Snippet
*/

import fetch from 'node-fetch';

const headers = {
'Accept':'application/json',
'x-api-key':'string'
};

const response = await fetch('https://data.autohost.ai/v1/lookup/geoip/{ip}', {
method: 'get',

headers,
});
const responseJson = await response.json();
console.log(responseJson);

Lookup sex offenders

GET /lookup/sexoffender

Search sex offenders in the USA

Parameters

NameInTypeRequiredDescription
fnamequerystringtrueFirst name
lnamequerystringtrueLast name
dobquerystringtrueDate of birth (YYYY-MM-DD)
statequerystringtrueState (e.g. CA)
x-api-keyheaderstringfalseAPI Authentication Key

Example responses

200 Response

{
"from": 0,
"size": 0,
"total": 0,
"items": [
{
"id": "string",
"name": "string",
"fname": "string",
"lname": "string",
"city": "string",
"county": "string",
"state": "string",
"zip": "string",
"dob": "2019-08-24",
"timestamp": "2019-08-24T14:15:22Z",
"imageURL": "http://example.com",
"charge": [
"string"
],
"aliases": [
"string"
]
}
]
}

Responses

StatusMeaningDescriptionSchema
200OKLookup results objectLookupSexOffenderResponse
500Internal Server ErrorAn error messageLookupSexOffenderResponse

Code samples

"""
Python Code Snippet
"""
import requests

headers = {
'Accept': 'application/json',
'x-api-key': 'string'
}

params = {
'fname': 'string',
'lname': 'string',
'dob': 'string',
'state': 'string'
}

r = requests.get('https://data.autohost.ai/v1/lookup/sexoffender', headers=headers, params=params)

print(r.json())

/*
TypeScript Code Snippet
*/

import fetch from 'node-fetch';

const headers = {
'Accept':'application/json',
'x-api-key':'string'
};

const response = await fetch('https://data.autohost.ai/v1/lookup/sexoffender', {
method: 'get',

headers,
});
const responseJson = await response.json();
console.log(responseJson);

Lookup postal address

GET /lookup/geocode/{address}

Lookup or verify billing and shipping addresses

Parameters

NameInTypeRequiredDescription
addresspathstringtrueStreet or mailing address (URL-encoded)
x-api-keyheaderstringfalseAPI Authentication Key

Example responses

Lookup results object

{
"address": "123 Main St",
"street": "123 Main St",
"city": "Mountain View",
"state": "CA",
"country": "US",
"country_code": "US",
"zipcode": "94043",
"timezone": "America/Los_Angeles",
"geo": {
"lat": 37.4192,
"lon": -122.0574
}
}

An error message

{
"address": "123 Main St",
"street": "123 Main St",
"city": "Mountain View",
"state": "CA",
"country": "US",
"country_code": "US",
"zipcode": "94043",
"timezone": "America/Los_Angeles",
"geo": {
"lat": 37.4192,
"lon": -122.0574
}
}

Responses

StatusMeaningDescriptionSchema
200OKLookup results objectLookupAddressResponse
500Internal Server ErrorAn error messageLookupAddressResponse

Code samples

"""
Python Code Snippet
"""
import requests

headers = {
'Accept': 'application/json',
'x-api-key': 'string'
}

r = requests.get('https://data.autohost.ai/v1/lookup/geocode/{address}', headers=headers)

print(r.json())

/*
TypeScript Code Snippet
*/

import fetch from 'node-fetch';

const headers = {
'Accept':'application/json',
'x-api-key':'string'
};

const response = await fetch('https://data.autohost.ai/v1/lookup/geocode/{address}', {
method: 'get',

headers,
});
const responseJson = await response.json();
console.log(responseJson);

Lookup IP Threats

GET /lookup/ip-threats/{ip}

Lookup threat reports associated with an IP address

Parameters

NameInTypeRequiredDescription
ippathstringtrueIP Address
x-api-keyheaderstringfalseAPI Authentication Key

Example responses

Lookup results object

[
{
"ip": "5.167.66.39",
"title": "IP reported on blocklist.de feed",
"link": "https://lists.blocklist.de/lists/",
"timestamp": "2016-01-01T00:00:00Z",
"source": "blocklist",
"tags": [
"attack",
"suspicious"
],
"reasons": [
"The IP is blacklisted on blocklist.de"
]
}
]

An error message

[
{
"ip": "5.167.66.39",
"title": "IP reported on blocklist.de feed",
"link": "https://lists.blocklist.de/lists/",
"timestamp": "2016-01-01T00:00:00Z",
"source": "blocklist",
"tags": [
"attack",
"suspicious"
],
"reasons": [
"The IP is blacklisted on blocklist.de"
]
}
]

Responses

StatusMeaningDescriptionSchema
200OKLookup results objectLookupIPThreatsResponse
500Internal Server ErrorAn error messageLookupIPThreatsResponse

Code samples

"""
Python Code Snippet
"""
import requests

headers = {
'Accept': 'application/json',
'x-api-key': 'string'
}

r = requests.get('https://data.autohost.ai/v1/lookup/ip-threats/{ip}', headers=headers)

print(r.json())

/*
TypeScript Code Snippet
*/

import fetch from 'node-fetch';

const headers = {
'Accept':'application/json',
'x-api-key':'string'
};

const response = await fetch('https://data.autohost.ai/v1/lookup/ip-threats/{ip}', {
method: 'get',

headers,
});
const responseJson = await response.json();
console.log(responseJson);

GET /lookup/adverse-media/search

Initiate an adverse media search for a person or company

Parameters

NameInTypeRequiredDescription
first_namequerystringtrueFirst name or alias
middle_namequerystringfalseMiddle name
last_namequerystringtrueLast name or alias
year_of_birthquerystringfalseYear of birth (YYYY)
countryquerystringtrueCountry code (e.g. US)
cityquerystringfalseCity
statequerystringfalseState code (e.g. CA)
x-api-keyheaderstringfalseAPI Authentication Key

Example responses

Search status object

{
"id": "ab48405329f526a3f43f6e9c711466f503395f86a18110641ae246df544e56f1",
"status": "PENDING",
"startDate": "2023-01-01T00:00:00.000Z"
}

400 Response

{
"error": "string"
}

Responses

StatusMeaningDescriptionSchema
200OKSearch status objectAdverseMediaSearchResponse
400Bad RequestAn error messageErrorResponse

Code samples

"""
Python Code Snippet
"""
import requests

headers = {
'Accept': 'application/json',
'x-api-key': 'string'
}

params = {
'first_name': 'string',
'last_name': 'string',
'country': 'string'
}

r = requests.get('https://data.autohost.ai/v1/lookup/adverse-media/search', headers=headers, params=params)

print(r.json())

/*
TypeScript Code Snippet
*/

import fetch from 'node-fetch';

const headers = {
'Accept':'application/json',
'x-api-key':'string'
};

const response = await fetch('https://data.autohost.ai/v1/lookup/adverse-media/search', {
method: 'get',

headers,
});
const responseJson = await response.json();
console.log(responseJson);

Adverse Media Report

GET /lookup/adverse-media/results/{id}

View results of an adverse media search for a person or company

Parameters

NameInTypeRequiredDescription
idpathstringtrueReport ID
x-api-keyheaderstringfalseAPI Authentication Key

Example responses

Search status object

{
"id": "ab48405329f526a3f43f6e9c711466f503395f86a18110641ae246df544e56f1",
"status": "FINISHED",
"startDate": "2023-01-01T00:00:00.000Z",
"stopDate": "2023-01-01T00:10:00.000Z",
"riskCategories": [
"Discrimination",
"Fraud or Financial Crime",
"Harassment",
"Violence",
"Conflicts or Litigation",
"Other News"
],
"findings": [
{
"title": "Title of the news article",
"snippet": "Snippet of the news article",
"summary": "Summary of the news article",
"displayLink": "example.com",
"link": "https://www.example.com/article",
"image": "https://www.example.com/article/image.jpg",
"riskCategories": [
"Discrimination"
]
},
{
"title": "Title of the news article",
"snippet": "Snippet of the news article",
"summary": "Summary of the news article",
"displayLink": "example.com",
"link": "https://www.example.com/article",
"image": "https://www.example.com/article/image.jpg",
"riskCategories": [
"Fraud or Financial Crime",
"Harassment"
]
}
]
}

400 Response

{
"error": "string"
}

Responses

StatusMeaningDescriptionSchema
200OKSearch status objectAdverseMediaReportResponse
400Bad RequestAn error messageErrorResponse

Code samples

"""
Python Code Snippet
"""
import requests

headers = {
'Accept': 'application/json',
'x-api-key': 'string'
}

r = requests.get('https://data.autohost.ai/v1/lookup/adverse-media/results/{id}', headers=headers)

print(r.json())

/*
TypeScript Code Snippet
*/

import fetch from 'node-fetch';

const headers = {
'Accept':'application/json',
'x-api-key':'string'
};

const response = await fetch('https://data.autohost.ai/v1/lookup/adverse-media/results/{id}', {
method: 'get',

headers,
});
const responseJson = await response.json();
console.log(responseJson);

Schemas

LookupPhoneResponse

{
"countryCode": "string",
"phoneNumber": "string",
"nationalFormat": "string",
"error": "string",
"carrier": {
"name": "string",
"type": "string"
}
}

Properties

NameTypeRequiredRestrictionsDescription
countryCodestringfalsenonenone
phoneNumberstringfalsenonenone
nationalFormatstringfalsenonenone
errorstringfalsenonenone
carrierobjectfalsenonenone
» namestringfalsenonenone
» typestringfalsenonenone

LookupSocialRequest

{
"email": "user@example.com",
"phoneNumber": "string"
}

Properties

NameTypeRequiredRestrictionsDescription
emailstring(email)falsenonenone
phoneNumberstringfalsenonenone

LookupSocialResponse

{
"phoneNumber": {
"accountDetails": {
"facebook": {
"registered": true
},
"google": {
"registered": true
}
}
},
"email": {}
}

Properties

NameTypeRequiredRestrictionsDescription
phoneNumberobjectfalsenonenone
» accountDetailsobjectfalsenonenone
»» facebookobjectfalsenonenone
»»» registeredbooleanfalsenonenone
»» googleobjectfalsenonenone
»»» registeredbooleanfalsenonenone
emailobjectfalsenonenone

LookupBreachesResponse

[
{
"Name": "string",
"Domain": "string",
"BreachDate": "string"
}
]

Properties

NameTypeRequiredRestrictionsDescription
Namestringfalsenonenone
Domainstringfalsenonenone
BreachDatestringfalsenonenone

LookupWhoisResponse

[
{
"server": "string",
"data": {
"domainName": "string",
"registrar": "string",
"creationDate": "string",
"expirationDate": "string"
}
}
]

Properties

NameTypeRequiredRestrictionsDescription
serverstringfalsenonenone
dataobjectfalsenonenone
» domainNamestringfalsenonenone
» registrarstringfalsenonenone
» creationDatestringfalsenonenone
» expirationDatestringfalsenonenone

LookupDomainCompanyResponse

[
{
"name": "string",
"country": "string",
"industry": "string",
"size": "string",
"linkedin_url": "string",
"founded": "string"
}
]

Properties

NameTypeRequiredRestrictionsDescription
namestringfalsenonenone
countrystringfalsenonenone
industrystringfalsenonenone
sizestringfalsenonenone
linkedin_urlstringfalsenonenone
foundedstringfalsenonenone

LookupGeoipResponse

[
{
"country_code": "string",
"country_name": "string",
"city": "string",
"postal_code": "string",
"time_zone_name": "string",
"latitude": 0,
"longitude": 0
}
]

Properties

NameTypeRequiredRestrictionsDescription
country_codestringfalsenonenone
country_namestringfalsenonenone
citystringfalsenonenone
postal_codestringfalsenonenone
time_zone_namestringfalsenonenone
latitudenumberfalsenonenone
longitudenumberfalsenonenone

LookupSexOffenderResponse

{
"from": 0,
"size": 0,
"total": 0,
"items": [
{
"id": "string",
"name": "string",
"fname": "string",
"lname": "string",
"city": "string",
"county": "string",
"state": "string",
"zip": "string",
"dob": "2019-08-24",
"timestamp": "2019-08-24T14:15:22Z",
"imageURL": "http://example.com",
"charge": [
"string"
],
"aliases": [
"string"
]
}
]
}

Properties

NameTypeRequiredRestrictionsDescription
fromnumberfalsenonenone
sizenumberfalsenonenone
totalnumberfalsenonenone
items[object]falsenonenone
» idstringfalsenonenone
» namestringfalsenonenone
» fnamestringfalsenonenone
» lnamestringfalsenonenone
» citystringfalsenonenone
» countystringfalsenonenone
» statestringfalsenonenone
» zipstringfalsenonenone
» dobstring(date)falsenonenone
» timestampstring(date-time)falsenonenone
» imageURLstring(uri)falsenonenone
» charge[string]falsenonenone
» aliases[string]falsenonenone

LookupAddressResponse

{
"address": "string",
"street": "string",
"city": "string",
"state": "string",
"country": "string",
"country_code": "string",
"zipcode": "string",
"timezone": "string",
"geo": {
"lat": 0,
"lon": 0
}
}

Properties

NameTypeRequiredRestrictionsDescription
addressstringfalsenonenone
streetstringfalsenonenone
citystringfalsenonenone
statestringfalsenonenone
countrystringfalsenonenone
country_codestringfalsenonenone
zipcodestringfalsenonenone
timezonestringfalsenonenone
geoobjectfalsenonenone
» latnumberfalsenonenone
» lonnumberfalsenonenone

LookupIPThreatsResponse

[
{
"ip": "string",
"title": "string",
"link": "string",
"timestamp": "string",
"source": "string",
"tags": [
"string"
],
"reasons": [
"string"
]
}
]

Properties

NameTypeRequiredRestrictionsDescription
ipstringfalsenonenone
titlestringfalsenonenone
linkstringfalsenonenone
timestampstringfalsenonenone
sourcestringfalsenonenone
tags[string]falsenonenone
reasons[string]falsenonenone

AdverseMediaSearchResponse

{
"id": "string",
"status": "PENDING",
"startDate": "2019-08-24T14:15:22Z"
}

Properties

NameTypeRequiredRestrictionsDescription
idstringfalsenonenone
statusstringfalsenonenone
startDatestring(date-time)falsenonenone

Enumerated Values

PropertyValue
statusPENDING
statusNO_RESULTS
statusREVIEW
statusFINISHED

ErrorResponse

{
"error": "string"
}

Properties

NameTypeRequiredRestrictionsDescription
errorstringfalsenonenone

AdverseMediaReportResponse

{
"id": "string",
"status": "PENDING",
"riskCategories": [
"string"
],
"findings": [
{
"title": "string",
"snippet": "string",
"summary": "string",
"displayLink": "string",
"link": "http://example.com",
"image": "http://example.com",
"riskCategories": [
"string"
]
}
],
"startDate": "2019-08-24T14:15:22Z",
"stopDate": "2019-08-24T14:15:22Z"
}

Properties

NameTypeRequiredRestrictionsDescription
idstringfalsenonenone
statusstringfalsenonenone
riskCategories[string]falsenonenone
findings[object]falsenonenone
» titlestringfalsenonenone
» snippetstringfalsenonenone
» summarystringfalsenonenone
» displayLinkstringfalsenonenone
» linkstring(uri)falsenonenone
» imagestring(uri)falsenonenone
» riskCategories[string]falsenonenone
startDatestring(date-time)falsenonenone
stopDatestring(date-time)falsenonenone

Enumerated Values

PropertyValue
statusPENDING
statusNO_RESULTS
statusREVIEW
statusFINISHED